<?php 
	class QwiserProduct
	{
		var $Field;
		var $FoundInAnswerId;
		var $FoundInAnswerPath;
		var $IsBestSeller;
		var $MatchClassFound;
		var $Price;
		var $Sku;
		
	function QwiserProduct($ProdNode)
	{
		if(is_object($ProdNode))
		{
			$this->Field = $this->GetProductCommonInformation($ProdNode);
			$this->FoundInAnswerId = $ProdNode->get_attribute("FoundInAnswerId");
			$this->FoundInAnswerPath = $ProdNode->get_attribute("FoundInAnswerPath");
			$this->IsBestSeller = $ProdNode->get_attribute("IsBestSeller");
			$this->MatchClassFound = $ProdNode->get_attribute("MatchClassFound");
			$this->Price = $ProdNode->get_attribute("Price");
			$this->Sku = $ProdNode->get_attribute("Sku");
		}
	}	
		
	function GetProductCommonInformation($ProdNode)
	{
		$ProductFields=current(getDomElements($ProdNode->child_nodes()));
		$ProductFieldsArray=getDomElements($ProductFields->child_nodes());
		foreach ($ProductFieldsArray as $Pfield)
		{
			$ProdField[$Pfield->get_attribute("name")] = $Pfield->get_attribute("value");
		}
		return $ProdField;
	} 
}